<bugID>524057<Summary>Places UI: Remove Library window, make places folder and tag pages fully interactive</Summary><Description>Note: this is a meta tracking bug for UI mockups and discussion of the overall user experience.

Continuing on from the Firefox 3.7 bug 523524 (Bookmarks, tags, and history
ranges should be viewable in the content area), these places meta pages should become fully interactive so that we can remove the separate Library window for bookmark organization tasks.

This includes basic actions like:

-Changing the view of the places meta page (thumbnails or list)
-Renaming bookmarks
-Deleting bookmarks and folders
-Moving bookmarks (either through a drag and drop operation to folder or tag in another tab/window, or through a drag and drop operation with the bookmarks sidebar)
-Creating a sub-folder

And possibly more advanced operations like:

-Changing the background image for the folder
-Adding textual notes
-Setting a particular layout for the contained bookmarks and folders</Description></bugID>